Quick Colour Picker v2.0 {Contents}

Quick Colour Picker v2.0
Please Register/Donate!
Curious About God?
Curious
about
God?

Contents

  1. About Quick Colour Picker...
    1. What is Quick Colour Picker?
    2. Why Should I use Quick Colour Picker?

  2. What Are Quick Colour Picker's System Requirements?

  3. How Do I Install/Un-Install Quick Colour Picker?

  4. How Do I Use Quick Colour Picker?
    1. Program Controls
      1. Stay On Top, $$Save Settings, Minimize & Exit

    2. About the Colour Selection Palette...
      1. Internal Selection Tools
      2. Palette Base Colour Selection
      3. External Selection Tools
      4. Notes on Adobe Photoshop™

    3. About the Slide Bars / Mixer Controls...
      1. RGB Mixer Controls
      2. CMY Mixer Controls
      3. HS... Mixer Controls
      4. Intensity Adjustments
      5. Mixer Features

    4. About the Colour Viewer...
      1. Colour Viewer Display
      2. Complimentary Colours
      3. Web Page Colour Coordinator

    5. The RGB Values Panel
    6. About the Colour List...
      1. Adding to, or Creating the List.
      2. Renaming Colours
      3. $$Adjusting Selected Colours
      4. Insert Modes
      5. Moving/Sorting
      6. Deleting/Clearing
      7. Saving

    7. About the HTML Text Colourizer...
      1. Inputting in your Text (155 Chr Max)
      2. Adding Colours
      3. Adding a Font
      4. Text Size

    8. About the Links Tab Sheet
      1. Setting the Colours
      2. Retreiving the Colours
      3. Copying the HTML

  5. Product Disclaimer & Copyright

  6. Credits
I Next >


Registration/Donations

Quick Web Design Tools

Please Register! Donations Are Also Welcome!

Allow your creativity to be accelerated!

Quick Web Design Tools are being developed. A lot of time and effort goes into the development of the products posted on the "Quick Web Design Tools" site.

All products must not be redistributed (Freeware or Licenced) by any party other than the author without written permission. This is for the safety of the general public (protection from viruses or other altered or contaminated copies). Please do not redistribute.

If you would like to use the programs for commercial purposes or would like to use the PRO features, please purchase a licence for the product that you would like to use. This will give you, in addition to the use of the extra features, the satisfaction of knowing that you have contributed to the development of the program.

All money transactions are made through PayPal. Credit cards are accepted. e-mail addresses and licencing information will be kept for legal licencing reference only. If you are receiving spam that says its from me, DO NOT OPEN IT! I will only send e-mail if you specifically ask for a response, or if an issue you have reported needs my attention. I don't waste my time sending trash!

NOTE: For security reasons please DO NOT place my e-mail address in your Outlook or Outlook Express address books.

If there are no licence purchases or donations it is possible that no fixes or changes will be made to the software. If you would like to make suggestions reguarding improvements to features or if you would like to report software bugs please contact me using the following link.


About Quick Colour Picker...

Q u i c k C o l o u r P i c k e r v 2 . 0 Chapter 1

1. About Quick Colour Picker...

A. What is Quick Colour Picker?

Quick Colour Picker is quite simply a program designed to allow its user to choose any colour available on a 24 bit colour enabled computer. At its most complicated, it is a complete colour organization tool for collecting colours, naming them, and storing them for later reference and use. A tool, which surpasses its use as a colour picker, and allows for the colourization of text for the purpose of export to HTML. It is a program which provides a means for its user to use it as a colour coordinator for web page layouts.

Quick Colour Picker is a utility that allows web designers, graphic artists, programmers, and other graphic designers to select colours from the rich colour capabilities of the 24 bit colour graphics environment of today's computers and apply them to their artistic works.

B. Why Should I use Quick Colour Picker?

Quick Colour Picker is simple enough for the novice to use and advanced enough for the professional. It allows you to organize your favorite colours for any artistic use. Storing and organizing your colours for specific projects can be very important for improving the speed at which you work. Web designers can copy and paste the HTML colour codes right into their pages, while others can use the colour values to set their drawing programs to the exact colours they want to use.

Please Note:

Some features mentioned in this manual may not be available for unregistered users. To register, you must purchase a registration licence code from the author.

< Previous 1 Next >


What Are Quick Colour Picker's System Requirements?

Q u i c k C o l o u r P i c k e r v 2 . 0 Chapter 2

2. What Are Quick Colour Picker's System Requirements?

Quick Colour Picker's recommended system requirements are as follows:

Operating System:
Windows 98 or higher

Processor:
Pentium

Video Adaptor:
24bit Colour Capable

Disk space:
Floppy disk or under 1MB Hard Disk Space
(Hard Disk recommended)

RAM:
When working with graphics it is recommended
that you use:
  • For Windows 9x-ME - > 128MB and < 512MB
  • For Windows XP - > 256MB
but this program will run on much less.

< Previous 2 Next >


How Do I Install/Un-Install Quick Colour Picker?

Q u i c k C o l o u r P i c k e r v 2 . 0 Chapter 3

3. How Do I Install/Un-Install Quick Colour Picker?

Quick Colour Picker comes in a self installing package. Just double click the file and it will start the installation. You will be asked what directory you would like to install it into.

Un-installation is just as simple. Just click Quick Colour Picker's Un-Install program from its program group on your start menu and it will remove itself from your hard drive.

I M P O R T A N T : As with all programs which use the Windows "Add/Remove Programs" option you must uninstall the program properly. If your version was installed using the automatic setup wizard DO NOT delete it from your hard drive manually. If you can not find the program's removal in its program group you can remove the program using the "Windows Control Panel" and "Add/Remove Programs". The Quick Colour Picker program itself does not use or make any modifications to the Windows registry and is safe to delete if you can not find its uninstall in the "Add/Remove Programs" dialogue.

< Previous 3 Next >


How Do I Use Quick Colour Picker? (Program Controls)

Q u i c k C o l o u r P i c k e r v 2 . 0 Chapter 4-A

4. How Do I Use Quick Colour Picker?

4-A. Program Controls

a) Stay On Top, Minimize & Exit:

Quick Colour Picker has all of the standard Windows program controls, except Maximize, and also contains two additional controls. You can set the program to "Stay On Top", expand or contract the advanced features, minimize the program to the Windows task-bar, or close the program completely by exiting it.

The "Stay On Top" is a small thumbtack icon at the lower right corner of the "RGB Values" box. This allows you to keep the colour picker "on top" or in front of all of your running programs so that you can view it easily.

The "Help" icon is shaped like a question mark. Clicking this will display the program's "About Box" which contains a "Help" button that links to this file.

$$The "Save Settings" icon is shaped like a wrench turning a nut. Clicking this will save Quick Colour Picker's current state to disk so that you can keep your current options and settings.

The Expand/Contract button has a green arrow pointing downward and away from a miniature picture of the Quick Colour Picker window. Clicking this will either hide the advanced options from view, or make them visible.

The "Minimize" button is the button with the flat line along its lower edge and is located at the upper right corner of the window. Clicking this allows you to send the program to the task bar when you want it out of the way.

The "Close" option is also at the upper right corner of the window. It can be recognized by its large "X". This will close Quick Colour Picker, but not before asking you permission first. If you have made any changes to your colour list (of which will be mentioned later) Quick Colour Picker will ask if you would like to save them before the program completely closes.

< Previous 4 Next >


How Do I Use Quick Colour Picker? (About the Colour Selection Palette...)

Q u i c k C o l o u r P i c k e r v 2 . 0 Chapter 4-B

4-B. About the Colour Selection Palette...

a) Internal Selection Tools

Internal Selection Tools are what you will be using when you select colours from within the program itself. The internal selection tools consist of your mouse pointer and a sophisticated set of colour palettes located at the top of the window.

To select a colour from the colour palettes just point and click. When you move your mouse over the palettes you will notice that a panel at the left side of the screen changes colour rapidly. This is the "Colour Preview" pannel. This viewer gives you a larger view of the colour directly under your mouse. If you click anywhere on the palette panels (or even on the preview panel) the colour directly under your mouse will be chosen and sent to the "Colour Viewer". Its "primary" colour values will instantly be displayed in both hexadecimal and decimal next to the slide-bars and a full hexadecimal representation of the colour will be sent to the RGB values panel. This is where you can copy the values to the windows clipboard (more on this later). You can change the palette style by right clicking on one of the large palette panels. This will give you instant access to activating the Websafe palette. Another way to chose colours internally is to use a standard Windows colour dialogue box. This can be used by selecting the icon that looks like a painter's palette in the upright rectangular panel between the "RGB Values" window and the "Colour List". With this method you chose your colour using the familiar Windows dialogue and select OK. Your colour will then be selected and you will see all of the numbers and adjustments change to match its values. If you have added colours to the custom palette areas in the Windows palette dialogue Quick Colour Picker will ask you if you would like to add them to the Colour List. If you do, the custom areas in the window will be cleared and your custom colours will be added to the Colour List Box.

b) Palette Base Colour Selection

You will notice that between the Colour Preview panel and the first colour palette there is a small icon of an old padlock. When you first start Quick Colour Picker this lock is in the locked position. To unlock it just click it with your left mouse button. Now each time you click a colour you will notice the palettes change. The palettes use the colour you pick as a base colour to generate a new palette of colours for you to choose from. Clicking on the lock again will lock those palettes into their current state so that you can choose colours from them without them changing again. To reset the palettes back to their default state just right click on the lock.

c) External Selection Tools

External selection tools are tools designed to allow you to pick colours from outside Quick Colour Picker's boundaries. You will find these tools in the upright tool panel next to the "Colour List" Panel. These tools are for capturing a picture of the desktop, capturing a picture from the windows clipboard, and for retrieving stored colour lists from your disk drive.

Desktop Capture:

The Desktop Capture icon looks like a 35mm SLR camera. This icon snaps a picture of your desktop with all of your programs running and then allows you to chose the colour from the captured image. When this icon is left clicked you will see the program minimize and disappear. Don't be alarmed! Quick Colour Picker hides itself to allow you to get a clear picture. There will be a slight delay, to ensure that the Windows screen is refreshed, and then Quick Colour Picker jumps back onto the screen with the picture. Now all you have to do is scroll around the picture's window, find the colour you want, and click it with the left mouse button.

Active Pixel Colour Capture:

If you right click the desktop capture button, it will toggle on and off the Active Pixel Colour Capture. This allows you to capture colours from any pixel your mouse happens to be hovering over while working outside of the colour picker program. Just press the ALT+F8 keys and, the colour directly under your mouse, is selected and (if the "Auto Copy" option is checked) copied to the clipboard so that you can insert it immediately into your HTML documents. If you find that a program prevents you from using the ALT+F8 keys, as a result of having a function assigned to them, you can change the hotkey assignment by left clicking the "Active Pixel Capture" icon. This usually remedies the situation.

$$The "Colour Preview" pannel has a "Zoom" feature which gives you a close up view of your desktop when using the "Active Pixel Capture". To use it, Right click the panel.

The Windows clipboard:

Quick Colour Picker is capable of capturing colours from your favorite photos through using the windows clipboard. All you need to do is use your favorite bitmap editor and its copy to clipboard function. Quick Colour Picker has an icon that looks like a clipboard with a small arrow pointing outward from it. When you click this icon Quick Colour Picker will attempt to retrieve any bitmapped image that was copied to the Windows clipboard and will display it for you to pick colours from. Just scroll around the window, that appears with the picture in it, and click on any spot to claim its colour for your own.

Retrieving From Disk:

Quick Colour Picker allows you to retrieve colours that have been stored on disk. This is a very powerful tool for web designers and graphic artists. The file name extension used for Quick Colour Picker is CDT short for Colour DaTa. Quick Colour Picker is also able to retrieve data from Match Head© list files (LST) (A freeware program written by Daniel Lewis) and $$Adobe color swatch files (.ACO). The format of the CDT files is very readable with a text editor, but it is not recommended for you to edit these files yourself. The files can also be loaded by dragging the file on top of Quick Colour Picker. If you would like, you may also set up a file association in Windows that will start up Quick Colour Picker each time you double click a CDT file (Please consult your Windows Documentation for associating files). To specify a default file to be opened every time Quick Colour Picker is started just alter the properties of the program's icon to include the path and name of the file to be opened.

Example:
"C:\Program Files\Commercial\Web Utilities\Quick Colour Picker v2-0\Quick Colour Picker v2-0.exe" D:\MYDOCU~1\QUICKC~1\LAUREN~1.CDT

$$Quick Colour Picker also has an option to load the last loaded file automatically on its startup. This can be set by right clicking the Load icon.

d) $$Notes on Adobe Photoshop:

To port colours to Adobe it is best to use the save as "Adobe Colour Swatch" (.aco) OR "Adobe Colour Table" options. You will need to load the file into Adobe's colour swatch.

If you want to extract colours from a picture in Adobe photoshop, copy the image to the clipboard first then use the "Get image from clipboard" option.

< Previous 5 Next >


How Do I Use Quick Colour Picker? (About the Slide Bars / Mixer Controls...)

Q u i c k C o l o u r P i c k e r v 2 . 0 Chapter 4-C

4-C. About the Slide Bars / Mixer Controls...

a) RGB Mixer Controls

The Red, Green, and Blue Mixer controls are a very simple way to choose and adjust a chosen colour. Red, Green, and Blue are the values that the computer uses to display colour on your monitor. By sliding the mixer controls to the right you are increasing the mixture value of that colour in relation to the other colours. When you move the mixer slide bars, the selected colour values will change instantly. (There is information about the Intensity control, that is not mentioned here, later in this manual.)

b) CMY Mixer Controls

The Cyan, Magenta, and Yellow mixer controls are actually the inverse of the Red, Green, and Blue controls. When using these controls you will see immediate changes to the selected colour values. These controls were added for those who are used to these adjustments from working in the Photography field or programmers that need to see converted values for printing colour on CMY based printers that don't use an automatic conversion from RGB.

c) HS... Mixer Controls

HSB, HSV, HSI are similar methods of producing colour. HSB (Hue, Saturation, and Brightness), HSV (Hue, Saturation, Vibrance), HSI (Hue, Saturation, and Intensity), are related but their values differ when creating the same colour. HSB and HSV are the closest to each other but HSI differs greatly in its Intensity value. The Hue Saturation methods are very easy to use but are programatically very complicated adjustments based on different colour theories. These adjustments allow you to take an existing colour and adjust it by its Hue (tonal value), Saturation (its purity in relation to gray) and Intensity (its brightness in relation to black and its brightest single hue value - or in the case of HSI, pure white). Each of these theories used in this program have not been adjusted in their display of colour in relation to the human eye's sensitivity. When using these adjustments you will be seeing the raw results of their calculations. You may notice different results when using different photo editing programs. So far I have found that every program uses a different method to get its colour results. (Some atempting to adjust for the human eye and some do not) When porting colours between programs it is best to use the RGB values or the export features of the pro version of this program.

d) Intensity Adjustments:

There are intensity adjustments on all of the Mixer controls but the RGB and CMY use a different control to the HS. RGB and CMY use a control which adjusts brightness without changing any set colour mixer values. This was to allow the freedom of increasing the brightness of a colour and selecting, copying, or storing it without losing the original colour. The HS adjustment is an attempt to use a scientific method to chose a colour. Make sure you keep an eye on where your Intensity values of the RGB and CMY mixers when using the HS adjustments. If they are set, their numeric value will display with a yellow background. Clicking on the lightbulb icon will reset the value to 0.

e) Mixer Features:

The RGB, CMY and HS mixers have speedy adjustments. That means that you can click on the panel with the adjustment's letter and it will snap to preset values. The RGB and CMY mixers will snap to multiples of 33h (51 decimal). These presets represent the web safe values of those colours. $$If you right click on the slide adjustment you will be able to turn on the "Web Safe Indicator Grid". The grid shows the position of the web safe colours along the slide bar adjustment. The HS hue panel, when left clicked, will increase values in increments of 30° and when right clicked will decrement by 30°. Note also that only the RGB slide bars will accept text input to select their colour intensity. The values are from 0 to 255 decimal or 00 to FF hexadecimal.

< Previous 6 Next >


How Do I Use Quick Colour Picker? (About the Colour Viewer...)

Q u i c k C o l o u r P i c k e r v 2 . 0 Chapter 4-D

4-D. About the Colour Viewer...

a) Colour Viewer Display

The Colour Viewer does much more than display the currently selected colour. It shows the intensity of each individual RGB adjustment and displays the selected colour's inverted colour. If you click the inverted colour it will become your chosen colour and switch to the main colour display area of the "Selected Colour Display Panel". You can also click the "Colour Compare" to set its colour to the current colour so that you can compare it to the next colour you choose. You can right click the "Colour Compare" to retreive its colour.

b) Complimentary Colours

If you right click the "Colour Viewer's" title you will be presented with options that will allow you to view and choose complimentary colours. These options are based on the colour wheel principal. When activated, you may find the display of the colour compliments too small. If you right click the "Selected Colour Display Panel", containing your currently selected colour, it will expand to a more viewable size. If you use the HS mixer while the complimentary colours are active you will notice that it will work in the same way as that of the colour wheel princepal. The following are the complimentary colour types with their colour positions in relation to the selected colour on the colour wheel:

Colour Types and Locations |  |  |  | Tetradic Example
Colour Types | Location
Complimentary | 180º |  |  |
Split Complimentary | 165º | -165º (195º) |
Analogous | 60º | -60º (300º) |
Triadic | 120º | -120º (240º) |
Tetradic | 90º | 180º | -90º (270º)
$$Colour Wheel | 30º intervals

To make a colour compliment your selected colour, click it with the left mouse button. To add a complimentary colour to your colour list without selecting it, right click on it.

c) Web Page Colour Coordinator

Below the "Selected Colour Display Panel" is a web page layout colour designer. This allows you to view a sample of how various colours in different arrangements on a typical web page might look. To try out your colours just pick a colour and left click an area on the sample web page. To pick up a colour from the sample web page just right click on its web panel and it will become your chosen colour. If you double click the "Selected Colour Display Panel" it will reset the "Web Page Colour Coordinator". If you right click on the Selected Colour Display it will close or open the coordinator panel.

< Previous 7 Next >


How Do I Use Quick Colour Picker? (The RGB Values Panel)

Q u i c k C o l o u r P i c k e r v 2 . 0 Chapter 4-E

4-E. The RGB Values Panel

RGB Values Panel Once you have selected a colour you will see its value in the "RGB Values" panel.

The "RGB Values" panel allows you to copy the displayed value to the clipboard for use in another program. Copying can be done in any of three ways: You can right click on the value and select copy, you can press the copy button, or you can place a checkmark in the "Auto Copy" box to automatically copy any colour chosen.

The "RGB Values" text can also be displayed in several different ways. You can view the value in Hexadecimal, Decimal, HTML, or Internet Explorer/Netscape colour names. The HTML option displays the complete COLOR="#RRGGBB" code to be used in a web page. If you click on a standard colour from the 16 colour palette you will notice that the actual HTML 3.2 word designation is used instead of the hexadecimal value. $$When the IE/NS option is checked the Internet Explorer 5.0 /Netscape colour names are used.

A BGR selector changes the order of the values for use by those who are using programming languages that send values in this format to your hardware. The BGR mode can not be used with the HTML option.

< Previous 8 Next >


How Do I Use Quick Colour Picker? (About the Colour List...)

Q u i c k C o l o u r P i c k e r v 2 . 0 Chapter 4-F

4-F About the Colour List...

Colour List The colour list is an excellent tool. This is where you can store, sort, and arrange the colours you want to keep. As mentioned before in the External Source Tools section you can load saved lists from disk. But of course you have to create and save your lists first.

a) Adding To, or Creating The List.

When you have selected a colour you can add it to your colour list by pressing the large blue arrow icon, located below the list box, that points toward the right. This is the index icon. Clicking on it will send your chosen colour to the list. You will notice that the name of the colour is automatically the hexadecimal value of the colour. Each time you click this icon another colour is sent to the list. Be careful, duplicate colours are allowed. This is for web page designers who would like to name their colours by their web page position, allowing more than one location to be mentioned but contain the same colour.

b) Renaming Colours

You can change the colour's name to something much more readable by clicking it once, and then pressing the icon that looks like two curved arrows surrounding a "T". This is the "Change Title" icon and is located below the "Colour List Box". This will bring up a dialogue box asking for the new colour name. Just type in your user friendly colour name and press OK.

c) $$Adjusting Selected Colours

You can adjust the Hue, Saturation, and Vibrance of selected colours from the "Colour List Box". Multiple colours can be selected using the CTRL or SHIFT keys along with your left mouse button. Select the colours you want to adjust and right click the "Colour List Box". Select "Adjust Selected Colour(s)" from the popup menu. You will be presented with an HSV adjustment control. Please remember that when a colour is at its maximum or minimum Saturation or Vibrance it can not be adjusted higher or lower and will not appear to change. Select "Accept" to accept the changes and make them permanent in your list. Select "Cancel/Close" to close the dialogue without keeping any more changes.

d) Insert Modes

You can change the way that Quick Colour Picker sends colours to the colour list. There are two method selections and two mode options. The methods are Add and Insert. The "Add" adds new colours to the end of the list. The "Insert" inserts colours in relation to the currently selected list colour. The Insert method option also has a sub method. It is indicated by an icon which displays two arrows at 90 degrees to each other. Clicking on this changes the icon's appearance and the insertion function. When the arrow points up all sent colours will be inserted above the currently selected colour. When the arrow points down all sent colours will be inserted below the currently selected colour. The "Auto-Index" mode causes all clicked colours to be sent to the list immediately. The "Inc. Cmpl." mode includes the selected colour's complimentary colours during the indexing process.

e) Moving/Sorting

Colours on the list can be arranged with the mouse just by clicking and dragging the colour to its new position. The list can also be sorted automatically by right clicking on the list and selecting the sort method from the pop-up menu. Note that sorting by Hue, Saturation, or Intensity runs a three pass sort.

f) Deleting/Clearing

Deleting a colour from the colour list can be done simply by left clicking the colour once with the mouse then by clicking the eraser icon below the "Colour List Box". You can also delete a highlighted item by right clicking the "Colour List Box". To clear the entire list, click on the red 'X' icon below the list box. If you have changed your list and haven't saved it Quick Colour Picker will ask you if you would like to save it first. You can also cancel this incase you pressed it by accident. The option to cancel only appears if the list has changed.

g) Saving

To Save your list, so that you can use it later, click the icon that looks like a floppy disk with a red arrow pointing toward it. This is located below the "Colour List box". A save dialogue will appear. Select your directory and filename to save the list. If the list has been altered and the exit or clear icon is clicked you will also be asked to save your colour list. You will not be able to save blank lists.

To export your list to an "HTML" table, an $$"Adobe Photoshop Colour Swatch" file, or an $$"Adobe Photoshop Colour Table file", follow the saving steps above. When the save dialogue appears, change the "Save As Type" to the appropriate file type using the drop down box. The two Adobe file formats are the best way to export your colours to Photoshop. Make sure you save your file using the correct file name extension or you may over write your colour data file.

Note: Quick Colour Picker will not import colour data from HTML tables, or Colour Table files.

< Previous 9 Next >


How Do I Use Quick Colour Picker? (About the HTML Text Colourizer...)

Q u i c k C o l o u r P i c k e r v 2 . 0 Chapter 4-G

4-G About the HTML Text Colourizer...

The "HTML Text Colourizer" is for colourizing text for web pages. It is not recommend for you to use large amounts of HTML text, designed with this tool, in your web pages. A large amount of text may dramatically degrade the speed at which your web pages download. This tool is for the artistic web designer that wants to add a little touch of "wow" to their page. When you right click on the text preview window you will find the tools for copying the generated HTML to the clipboard. You will also find a Web Safe mode. $$A larger text preview window can also be activated from the right click menu.

a) Typing in your Text (155 Chr Max)

The text input is limited to 155 characters. Why? I decided that this was an appropriate thing to do as large volumes of text coloured like this would be inappropriate and slow. Always remember to be a responsible and reasonable web designer.

$$Special characters may also be added using the built in Unicode chart whose activation can be found on the Text Colourizer Preview Window's right click menu. To use the characters, simply highlight them using your mouse and they well be instantly sent to the text entry panel when your left mouse button is released.

b) Adding Colours

The colours to colourize your text can be added to the HTML Text Colourizer colour list by simply clicking on a colour, or several colours using the CTRL or SHIFT key, in your colour list and dragging your selection into the "Colourizer Check List Box". To delete a colour from the Colourizer CheckList Box right click on it. Colours can also be dragged from the colourizer to the main colour list box.

c) Adding a Font

Fonts can be added to your text but be warned. Not everyone will have the same fonts on their computer as you will have on yours. It is best to stick to the standard windows fonts.

d) Text Size

The text size option allows you to set the Text Colourizer to the base font size that you will be using for your web page. The base size does not copy to the clipboard and is for previewing purposes only. You can also set the text's initial size and its ending size to create a growing or shrinking effect for your web page. You can set the size style by checking or un-checking the Static/Relative size check box. When un-checked the text will be sized by its defined value. When checked the font will be sized by its relative value in relation to the base font size. The maximum font size is 7 and the minimum size is 1. This is standard for HTML. The relational point sizes are as follows: 1=8pt, 2=10pt, 3=12pt, 4=14pt, 5=18pt, 6=24pt, 7=36pt.

< Previous 10 Next >


Product Disclaimer & Copyright

Q u i c k C o l o u r P i c k e r v 2 . 0 Chapter 5

5. Product Disclaimer & Copyright

Licence & Distribution Agreement

By using the Quick Colour Picker Software you are agreeing to the following statements and conditions:

All originaly bundled files must remain bundled with the program. No additional files may be attached or bundled with the original bundle.

The author will not condone the use of this software for malicious or abusive purposes.

Use of this software for criminal purposes will terminate the licence agreement and the abusive party must cease to use this program and permanently remove it from their computer.

The author of this program does not guarantee the fitness of this program for any particular purpose. The author will not be responsible for damages or losses, including physical or psychological injury, loss of data, or damages to hardware resulting from the use this product.

This program is the intellectual and artistic property of the author. This product is not to be reverse engineered in any way.

This product is not to be sold, bundled with any product, or distributed in any way without the written consent of the author or as permitted by this licencing and distribution agreement.

The user of this software has the right to use the code produced by this program within the limits of this agreement.

The freeware/unregistered state of the program grants the user permission to use the program, in its unregistered and limited state, without charge. It DOES NOT grant the user distribution rights.

The program in its registered state may be used only by the user who purchased a licence from the author, or by members of the licence purchaser's immediate household (family members who live in the same living space). If used by a business, a licence must be purchased for each management person and employee who will be using the program.

Distribution:

The author claims sole distribution rights. Distribution by a third party is prohibited without the written consent of the author.

This product is protected by copyright and is not to be copied or redistributed in any way.

In distributing or using this software you are agreeing to the above terms and are agreeing to be legally bound by them. You are also agreeing to pay any and all legal fees incurred by the enforcement of this agreement.

The Quick Colour Picker program and all of its manuals and written material are Copyright© 2002-2005 by their author Stephen A. G. Bissell. All artwork including icons, splash screens, and layout designs are the author's own work and are Copyright© 2002-2005. Match Head is Copyright© 1998-2001 by Alhena Design. Microsoft Windows is Copyright© Microsoft Corporation. All other third party products or trademarks mentioned are Copyright© by their respective owners.

< Previous 11 Next >


How Do I Use Quick Colour Picker? (About the Links Tab Sheet)

Q u i c k C o l o u r P i c k e r v 2 . 0 Chapter 4-H

4-H About the Links Tab Sheet...

The "Links" tab sheet is for colourizing the links and document text and background for your web page.

a) Setting the Colours

To set the colours, first select a colour from a colour palette or from your custom colour list and left click the item you want to colour.

b) Retreiving the Colours

To retreive colours from your custom document and links colours press your right mouse button while your mouse is over top of the item with the desired colour. This colour will become the currently selected colour.

c) Copying the HTML

To copy the generated HTML to the clipboard, right click on the sample browser's Title or Tool bar. This will display the available copy options along with a Web Safe mode.

< Previous 10 Next >


Credits

Q u i c k C o l o u r P i c k e r v 2 . 0 Chapter 6

6. Credits

This manual was written by: Stephen A. G. Bissell.

Program Author: Stephen A. G. Bissell (MCET)
Who designed the interface and wrote the code.

Much needed algebra help provided by: Gary Darby (http://delphiforfun.org)
Who also provided some basic math functions not readily available in the programming language.

Special thanks to:
The members of the d:tnt forum (http://www.d-tnt.co.uk/) and Programmers Haven (http://www.programmersheaven.com/) for their examples and answers to my questions. And to the makers of Match Head (http://www.alhena-design.com/matchhead/) for their program of inspiration.

< Previous 12


Ten Commandments

Deuteronomy 5:7-21
*Thou shalt have none other gods before me.
*Thou shalt not make thee any graven image, or any likeness of any thing that is in heaven above, or that is in the earth beneath, or that is in the waters beneath the earth:
Thou shalt not bow down thyself unto them, nor serve them: for I the LORD thy God am a jealous God, visiting the iniquity of the fathers upon the children unto the third and fourth generation of them that hate me,
And showing mercy unto thousands of them that love me and keep my commandments.
*Thou shalt not take the name of the LORD thy God in vain: for the LORD will not hold him guiltless that taketh his name in vain.
*Keep the sabbath day to sanctify it, as the LORD thy God hath commanded thee.
Six days thou shalt labor, and do all thy work:
But the seventh day is the sabbath of the LORD thy God: in it thou shalt not do any work, thou, nor thy son, nor thy daughter, nor thy manservant, nor thy maidservant, nor thine ox, nor thine ass, nor any of thy cattle, nor thy stranger that is within thy gates; that thy manservant and thy maidservant may rest as well as thou.
And remember that thou wast a servant in the land of Egypt, and that the LORD thy God brought thee out thence through a mighty hand and by a stretched out arm: therefore the LORD thy God commanded thee to keep the sabbath day.
*Honor thy father and thy mother, as the LORD thy God hath commanded thee; that thy days may be prolonged, and that it may go well with thee, in the land which the LORD thy God giveth thee.
*Thou shalt not kill.
*Neither shalt thou commit adultery.
*Neither shalt thou steal.
*Neither shalt thou bear false witness against thy neighbor.
*Neither shalt thou desire thy neighbor's wife, neither shalt thou covet thy neighbor's house, his field, or his manservant, or his maidservant, his ox, or his ass, or any thing that is thy neighbor's.


< Previous

Don't have a Bible? To learn more please visit here: www.e-sword.net
Note: e-Sword is not affiliated with the writer of this text or the maker of this program.

Have Religious Organizations Been Coming
to Your Door?

Many of them claim to believe and teach from the
"Word Of God".

How Do You Know What is Really True???

The following quotations are from one of the internationally accepted English translations of the ancient writings which were collected together and are called "The Bible". The particular translation used here is the King James version and is most popularly used for reason of its high degree of accuracy.

Most religious organizations claiming to be "Christians" will say they believe the writings of the Bible. Yet what they say and what they teach can be, in many cases, completely contrary to this text.

How do you know if what they're teaching is true?

Simple. The following is a list of verses, or sections of the Bible, with its most fundamental teachings. If any person or organization claiming to believe that the Bible is God's Word does not believe the truths in the following quotations, then they are not really who or what they say they are. And if any of these people say they do not believe that everything is true in this main foundation of their belief, then they really have no foundation to stand on. Always let God's Word speak for itself.

The fundamental teachings of the Bible:

The writings of the Bible are God's teachings and are true and accurate.

II Timothy 3:16
All scripture is given by inspiration of God, and is profitable for doctrine, for reproof, for correction, for instruction in righteousness:

God is the one and only true God. God refers to himself as having three distinct persons, but they all act as and are one. (Hebrew for God: "Elohim" pl. - used as a singular plural greater than two, somewhat like the word "body" which encompasses many functioning parts)

I John 5:7
For there are three that bear record in heaven, the Father, the Word, and the Holy Ghost: and these three are one.

John 1:14
And the Word was made flesh, and dwelt among us, (and we beheld his glory, the glory as of the only begotten of the Father,) full of grace and truth.

Matthew 1:23
Behold, a virgin shall be with child, and shall bring forth a son, and they shall call his name Emmanuel, which being interpreted is, God with us. (See also Isaiah 7:14 - prophecy approx. 700 B.C.)

I Timothy 2:5
For there is one God, and one mediator between God and men, the man Christ Jesus;

Man's condition requires change through belief in God.

Romans 5:12
Wherefore, as by one man (Adam) sin entered into the world, and death by sin; and so death passed upon all men, for that all have sinned: (sinned: disobeyed God)

God told mankind, long ago, to give sacrifices as an act of love and a way to ask for forgiveness. This sacrifice was something that a man could not create with his own hands. It was of emotional and physical value, and a representation of innocence. A lamb. The lamb was a reminder, a promise, and an example of the love God was going to show all mankind by offering His own Son as a sacrifice. His Son also willingly offered Himself to show both His Father and you His love. He became God in human form. A man of perfect morality was given a criminal's execution and crucified on a wooden cross. To show us that our sin and its punishment (death: see Romans 5:12 above) was conquered, God raised His Son from the dead. (See also Isaiah 53:2-12 - prophecy approx. 700 B.C.)

Jesus was put to death as a sacrifice for our sins and was raised from the dead to show us the integrity of His promise.

Romans 5:8
But God commendeth his love toward us, in that, while we were yet sinners, Christ died for us.

Romans 10:9-13
That if thou shalt confess with thy mouth the Lord Jesus, and shalt believe in thine heart that God hath raised him from the dead, thou shalt be saved.
For with the heart man believeth unto righteousness; and with the mouth confession is made unto salvation.
For the scripture saith, Whosoever believeth on him shall not be ashamed (old eng: "at a loss" or disappointed).
For there is no difference between the Jew and the Greek: for the same Lord over all is rich unto all that call upon him.
For whosoever shall call upon the name of the Lord shall be saved.

Man can not save himself through good deeds, works or by paying money. Only God can rescue man through faith in the finished work of His Son.

Titus 3:5
Not by works of righteousness which we have done, but according to his mercy he saved us, by the washing of regeneration, and renewing of the Holy Ghost;

Ephesians 2:8-9 (see John 14:6)
For by grace are ye saved through faith; and that not of yourselves: it is the gift of God:
Not of works, lest any man should boast.

Once you are saved by God's grace you are always saved!

Hebrews 10:14
For by one offering he hath perfected for ever them that are sanctified.

Jesus himself said:

John 10:28-29
And I give unto them eternal life; and they shall never perish, neither shall any man pluck them out of my hand.
My Father, which gave them me, is greater than all; and no man is able to pluck them out of my Father's hand.

And in John's letter:

I John 5:13
These things have I written unto you that believe on the name of the Son of God; that ye may know that ye have eternal life, and that ye may believe on the name of the Son of God.

Salvation of the human soul and spirit is made through confession to God of sin and an acknowledgment of Jesus as payment for it and as their mediator (see I Timothy 2:5 above) to ask for forgiveness. Forgiveness is not restricted to any one group of people, race, or colour, but for all that come to God of their own free will. (See Romans 10:12-13 Above)

Forgiveness does not give us a licence to sin:

Romans 6:15
What then? shall we sin, because we are not under the law, but under grace? God forbid.

I John 5:3
For this is the love of God, that we keep his commandments: and his commandments are not grievous.

Galatians 6:7-8
Be not deceived; God is not mocked: for whatsoever a man soweth, that shall he also reap.
For he that soweth to his flesh shall of the flesh reap corruption; but he that soweth to the Spirit shall of the Spirit reap life everlasting.

A person who truly loves and believes in God and in what Jesus did for them shows it through their daily life. The things we do for physical gain in this world will decay and become meaningless just as everything physical does, but what we do for God is what will last for ever.

Why do some of these organizations teach what is not true?

II Timothy 4:3-4
For the time will come when they will not endure sound doctrine; but after their own lusts shall they heap to themselves teachers, having itching ears;
And they shall turn away their ears from the truth, and shall be turned unto fables.

Acts 13:38-39 (see Exodus 20:3-17).
Be it known unto you therefore, men and brethren, that through this man (Jesus) is preached unto you the forgiveness of sins:
And by him all that believe are justified from all things, from which ye could not be justified by the law of Moses.

Heaven and earth shall pass away, but my words shall not pass away. (Matthew 24:35, Mark 13:31, Luke 21:33)

As cold waters to a thirsty soul,
so is good news from a far country.

Proverbs 25:25

Don't have a Bible? To learn more please visit here: www.e-sword.net
Note: e-Sword is not affiliated with the writer of this text or the maker of this program.